RIVET-MKHTML(1)

NAME
rivet-mkhtml - Make web pages from histogram files written out by Rivet

SYNOPSIS
rivet-mkhtml [options] <aidafile1> [<aidafile2> <aidafile3>...]

DESCRIPTION
Make web pages from histogram files written out by Rivet. You can specify multiple Monte Carlo AIDA files to be compared in the same syntax as for compare-histos, i.e. including plotting options.

Reference data, analysis metadata, and plot style information should be found automatically (if not, set the RIVET_ANALYSIS_PATH or similar variables appropriately).

You can overwrite an existing output directory.

OPTIONS

-h, --help
    show this help message and exit

-o OUTPUTDIR, --outputdir=OUTPUTDIR
    directory for webpage output

-t TITLE, --title=TITLE
    title to be displayed on the main web page

-c CONFIGFILES, --config=CONFIGFILES
    plot config file(s) to be used with compare-histos.

-s, --single
    display plots on single webpage.

--no-ratio
    don't draw a ratio plot under each main plot.

--mc-errs
    plot error bars.

--refid=REF_ID
    ID of reference data set (file path for non-REF data)

-n NUMTHREADS, --num-threads=NUMTHREADS
    request make-plots to use a specific number of threads.

--pdf
    use PDF as the vector plot format.

--ps
    use PostScript as the vector plot format.

--booklet
    create booklet (currently only available for PDF with pdftk).

-i, --ignore-unvalidated
    ignore unvalidated analyses.

--ignore-missing
    ignore missing AIDA files.

-m PATHPATTERNS, --match=PATHPATTERNS
    only write out histograms from analyses whose name matches any of these regexes

-M PATHUNPATTERNS, --unmatch=PATHUNPATTERNS
    Exclude histograms whose $path/$name string matches these regexes

--palatino
    Use Palatino as font (default).

--cm
    Use Computer Modern as font.

--times
    Use Times as font.

--minion
    Use Adobe Minion Pro as font. Note: You need to set TEXMFHOME first.

-v, --verbose
    Add extra debug messages

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).